I810(4) manual page

Table of Contents

## Name

i810 - Intel i810 video driver

## Synopsis

    Section "Device"
      Identifier "devname"
      Driver "i810"
      ...
    EndSection

## Description

i810 is an XFree86 driver for the Intel i810 family of graphics chipsets. The driver supports depths 8, 15, 16 and 24. All visual types are supported in depth 8, other depths only support TrueColor. The driver supports hardware accelerated 3D via the Direct Rendering Infrastructure (DRI), but only in depth 16.

## Supported Hardware

i810 supports the i810, i810-DC100, i810e and i815 chipsets.

## Configuration Details

Please refer to XF86Config(5x) for general configuration details. This section only covers configuration details specific to this driver.

The i810 has a unified memory architecture and uses system memory for video ram. By default 8 Megabytes of system memory are used for graphics. This amount may be changed with the VideoRam entry in the config file Device section. It may be set to any power of two between 4 and 32 Megabytes inclusive to allow the user to customize the balance between main memory usage and graphics performance. Too little memory reserved for graphics can result in decreased 3D and 2D graphics performance and features.

The following driver Options are supported

Option "NoAccel" "boolean"
  Disable or enable acceleration. Default: acceleration is enabled.
Option "SWCursor" "boolean"
  Disable or enable software cursor. Default: software cursor is disable and a hardware cursor is used.
Option "ColorKey" "integer"
  This sets the default pixel value for the YUV video overlay key. Default: undefined.
Option "CacheLines" "integer"
  This allows the user to change the amount of graphics memory used for 2D acceleration and video. Decreasing this amount leaves more for 3D textures. Increasing it can improve 2D performance at the expense of 3D performance. Default: 256 to 768 depending on the resolution and depth.

## See Also

XFree86(1) , XF86Config(5x) , xf86config(1) , Xserver(1) , X(7)

## Authors

Authors include: Keith Whitwell, and also Jonathan Bian, Matthew J Sottek, Jeff Hartmann, Mark Vojkovich, Alan Hourihane, H. J. Lu.

Table of Contents

- Name
- Synopsis
- Description
- Supported Hardware
- Configuration Details
- See Also
- Authors